<app-bread-crumb
  [items]="[{text: 'Custos'}]"
></app-bread-crumb>

<app-page-header
  page-title="Custos"
  button-text="+ Novo Custo"
  button-link="new"
  button-class="btn-success"
></app-page-header>


<table class="table table-hover">
  <thead>
    <tr class="bg-primary text-light">
      <th>Código</th>
      <th>Descrição</th>
      <th>operação</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let custo of resources">
      <td>
        {{custo.id}}
      </td>
      <td>
         {{custo.descricao}}
      </td>
      <td>
        <a [routerLink]="[custo.id, 'edit']" class="btn btn-outline-info btn-sm mr-2">Editar</a>
        <button (click)="deleteResource(custo)" class="btn btn-outline-danger btn-sm">Excluir</button>
      </td>
    </tr>
  </tbody>
</table>
